scsi_device_set_state
Prev | drivers/scsi/scsi_lib.c | Next

## Name

scsi_device_set_state — Take the given device through the device state model.

## Synopsis

`int scsi_device_set_state (` | struct scsi_device * | sdev,
| enum scsi_device_state | state`)`;

## Arguments

`sdev`

  scsi device to change the state of.

`state`

  state to change to.

## Description

Returns zero if unsuccessful or an error if the requested transition is illegal.

Prev | Up | Next
scsi_test_unit_ready | Home | sdev_evt_send